## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate nix

Name:           rust-%{crate}0.22
Version:        0.22.3
Release:        %autorelease
Summary:        Rust friendly bindings to *nix APIs

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/nix
Source:         %{crates_source}
# Initial patched metadata
# * drop DragonflyBSD/FreeBSD-specific dependencies
Patch0:         nix-fix-metadata.diff

# * upstream patch to fix doctests with Rust 1.62+
Patch1:         https://github.com/nix-rust/nix/commit/0ac338b.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust friendly bindings to *nix APIs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/CONVENTIONS.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip a test that tends to hang in systemd-nspawn environments
%cargo_test -- -- --skip sys::test_socket::test_af_alg_aead
%endif

%changelog
* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> 0.22.3-2
- Include upstream patch to fix doctests with Rust 1.62+

* Sun Apr 24 2022 Fabio Valentini <decathorpe@gmail.com> 0.22.3-1
- Update to version 0.22.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.22.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Fabio Valentini <decathorpe@gmail.com> 0.22.2-1
- Initial import (nix 0.22 compat package)
